### Method

# GtkSource Snippet get_trigger

#### Declaration [src]

    const gchar*
    gtk_source_snippet_get_trigger (
      GtkSourceSnippet* snippet
    )

#### Description [src]

Gets the trigger for the source snippet.

A trigger is a word that can be expanded into the full snippet when the user presses Tab.

Gets property | `GtkSource.Snippet:trigger`

#### Return value

Type: `const gchar*`

A string or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.